CMPTRX(3)

SYNOPSIS
SUBROUTINE CMPTRX (IDEGBR, IDEGCR, M, A, B, C, Y, TCOS, D, W)

NAME
cmptrx - Subsidiary to CMGNBN

LIBRARY
SLATEC

TYPE
COMPLEX (TRIX-S, CMPTRX-C)

AUTHOR
(UNKNOWN)

DESCRIPTION
Subroutine to solve a system of linear equations where the coefficient matrix is a rational function in the matrix given by tridiagonal ( . . . , A(I), B(I), C(I), . . . ).

SEE ALSO
CMGNBN

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
801001 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
890531 REVISION DATE from Version 3.2
891214 Prologue converted to Version 4.0 format. (BAB)
900402 Added TYPE section. (WRB)